## Generate Factor Levels

## Usage

    gl(n, k, length = n*k, labels=1:n, ordered=FALSE)

## Value

This function generates `factor`s by specifying the pattern of their levels. The result has levels from `1` to `n` with each value replicated in groups of length `k` out to a total length of `length`. Labels for the resulting factor levels can be optionally specified with the arguments `labels` and the factor levels can be made ordered by specifying `ordered=TRUE`. `gl` is modelled on the GLIM function of the same name.

## See Also

the underlying `factor(.)`.

## Examples

    # First control, then treatment:
    gl(2,8, label=c("Ctnrl","Treat"))
    # 20 alternating 1s and 2s
    gl(2, 1, 20)
    # alternating pairs of 1s and 2s
    gl(2, 2, 20)

[Package Contents]